# mutex_null::lock Class Reference

Exception-safe mutex lock class. More...

`#include <_mutex_null.h>`

List of all members.

## Public Member Functions

| lock (mutex_null &)

## Detailed Description

Exception-safe mutex lock class.

Definition at line 54 of file _mutex_null.h.

## Constructor & Destructor Documentation

mutex_null::lock::lock | ( | mutex_null & |  | ) | `[inline]`

Definition at line 57 of file _mutex_null.h.

The documentation for this class was generated from the following file:

- _mutex_null.h